.ct-page {
	font-family: 'Factor A', sans-serif;
	width: 100%;
	position: relative;
	background-color: #fff;
	color: #121217;
	overflow-x: clip;
}

.ct-page h1, .ct-page h2, .ct-page h3, .ct-page h4, .ct-page h5, .ct-page h6,
.ct-page button, .ct-page input, .ct-page textarea, .ct-page select {
	font-family: 'Factor A', sans-serif;
}

.ct-container {
	max-width: 1300px;
	width: 100%;
	margin: 0 auto;
	padding: 0 20px;
	box-sizing: border-box;
	position: relative;
}

.ct-demo__container {
	position: relative;
}

.ct-container--narrow {
	max-width: 1176px;
}

.ct-btn {
	display: inline-block;
	padding: 16px 24px;
	border-radius: 16px;
	text-decoration: none;
	text-align: center;
	transition: background-color 0.3s ease;
	cursor: pointer;
	border: none;
	font-weight: 400;
	font-size: 16px;
	line-height: 16px;
}
.ct-btn--primary {
	background-color: #bd0c1e;
	color: #ffffff;
}
.ct-btn--primary:hover {
	background-color: #a00a19;
	color: white;
}
.ct-hero {
	padding-top: 56px;
	padding-bottom: 126px;
	background-color: #fff;
	position: relative;
	z-index: 10;
}

.ct-hero__inner {
	display: flex;
	justify-content: space-between;
	align-items: center;
	gap: 8px;
	flex-wrap: wrap;
}

.ct-hero__title {
	font-weight: 800;
	font-size: 37px;
	line-height: 48px;
	text-transform: none;
	display: inline-block;
	margin-bottom: 4px;
}

.ct-hero__title--accent {
	color: #bd0c1e;
	white-space: nowrap;
}

.ct-hero__subtitle {
	color: #9d9d9d;
	font-size: 23px;
	margin-bottom: 32px;
	line-height: 32px;
}

.ct-hero__description {
	font-size: 20px;
	line-height: 25px;
	margin-bottom: 16px;
	letter-spacing: 0.15px;
}

.hero-vacancy__logo {
	display: none;
}

.ct-hero__visual {
	flex: 0 0 626px;
	height: 585px;
	position: relative;
	background-image: url('/case-trainer/changellenge/images/hero-chat.png');
	background-size: 100% 100%;
	background-repeat: no-repeat;
	background-position: center;
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 32px 35px 32px 32px;
	box-sizing: border-box;
	border-radius: 32px;
}

.ct-hero__video {
	display: block;
	width: 100%;
	height: auto;
	max-width: 559px;
	border-radius: 24px;
}

.ct-hero__img {
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
	border-radius: 32px;
}

.ct-demo {
	background-color: #FFF1F2;
	background-image: url('/case-trainer/changellenge/images/bg-rays.svg');
	background-repeat: no-repeat;
	position: relative;
	z-index: 5;
	background-position: right top;
	background-size: auto 100%;

	padding: 70px 0 58px 0;
	overflow: visible;
}

.ct-chat-placeholder {
	width: 100%;
	max-width: 1260px;
	height: 922px;
	background: #FFFFFF;
	border-radius: 24px;
	box-shadow: 0 0 8px 0 rgba(157, 157, 157, 0.2);
	margin: 0 auto;
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
	z-index: 10;
}

.ct-chat {
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: stretch;
	align-items: stretch;
	gap: 0;
}


/* + Разметка шапки чата */
.ct-chat__header {
	height: 77px;
	flex: 0 0 77px;
	box-shadow: 0 2px 2px 0 rgba(157, 157, 157, 0.1);
	background-color: #fff;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	border-top-left-radius: 24px;
	border-top-right-radius: 24px;
	border-bottom-left-radius: 16px;
	border-bottom-right-radius: 16px;
	padding: 0 24px;
	gap: 0;
}

.ct-chat__user {
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	gap: 7px;

	& img {
		width: 38px;
		align-self: stretch;
		flex-grow: 0;
		object-fit: contain;
		border-radius: 2000px;
	}
}

.ct-chat__user-info {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: stretch;
	gap: 1px;
}

.ct-chat__user-name {
	flex-grow: 0;
	font-size: 16px;
	font-weight: 500;
	line-height: 1.31;
	color: #000;
}

.ct-chat__user-caption {
	flex-grow: 0;
	font-size: 14px;
	line-height: 1.14;
	color: #9d9d9d;
}

.ct-chat__controls {
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	gap: 37px;
}

.ct-chat__control {
	display: inline-flex;
	align-items: center;
	border: none;
	background: none;
	gap: 4px;
	font-size: 14px;
	transition: all 0.2s ease;

	& span {
		display: inline-block;
		font-size: 14px;
		line-height: 1;
		font-weight: 300;
		margin-top: 3px;
		color: #9d9d9d;
	}
}

.ct-chat__control::before {
	content: "";
	display: inline-block;
	width: 16px;
	height: 16px;
	background-size: auto;
	background-repeat: no-repeat;
	background-position: center;
	flex-shrink: 0;
}

.ct-chat__control:active {
	transform: scale(0.98);
}

.ct-chat__control--history::before {
	background-image: url("/case-trainer/changellenge/images/cticon-history.svg");
}

[data-ct-chat="collapsed"] .ct-chat__control--expand::before {
	background-image: url("/case-trainer/changellenge/images/cticon-expand.svg");
}

[data-ct-chat="expanded"] .ct-chat__control--expand::before {
	background-image: url("/case-trainer/changellenge/images/cticon-collapse.svg");
}

@media screen and (max-width: 900px) {
	.ct-chat__controls {
		gap: 7px;
	}

	.ct-chat__control span {
		display: none;
	}
}
/* ~ Разметка шапки чата */


/* + Разметка контента чата */
.ct-chat__content {
	height: auto;
	flex: 1 1 auto;
	overflow-y: auto;
	overflow-x: hidden;
	font-family: "Factor A";
	font-size: 14px;
	padding: 48px 0 0;
	scrollbar-gutter: stable;
}

.ct-chat__content * {
	font-size: 14px;
}
/* ~ Разметка контента чата */


/* + Разметка футера чата */
.ct-chat__footer {
	position: relative;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	gap: 8px;
	padding: 24px 106px;
	flex: 0 0 auto;
}

.ct-chat-input {
	flex-grow: 1;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	gap: 8px;
	padding: 8px 16px;
	border-radius: 24px;
	box-shadow: 0 0 8px 0 rgba(157, 157, 157, 0.2);
	background-color: #fff;
}

.ct-chat-input__tune {
	display: inline-flex;
	align-items: center;
	border: none;
	background: none;
	transition: all 0.2s ease;
}

.ct-chat-input__tune::before {
	content: "";
	display: inline-block;
	width: 16px;
	height: 16px;
	background-image: url("/case-trainer/changellenge/images/cticon-tools.svg");
	background-size: auto;
	background-repeat: no-repeat;
	background-position: center;
	flex-shrink: 0;
}

.ct-chat-input__tune:active {
	transform: scale(0.98);
}

.ct-chat-input-prompt {
	flex-grow: 1;
	border: none;
	align-self: stretch;
	justify-self: stretch;

	&::placeholder {
		color: #9d9d9d;
	}
}

.ct-chat-send {
	display: inline-flex;
	align-items: center;
	border: none;
	background: none;
	padding: 0;
	transition: all 0.2s ease;
}

.ct-chat-send::before {
	content: "";
	display: inline-block;
	width: 32px;
	height: 32px;
	background-image: url("/case-trainer/changellenge/images/cticon-send.svg");
	background-size: auto;
	background-repeat: no-repeat;
	background-position: center;
	flex-shrink: 0;
}

.ct-chat-send:active {
	transform: scale(0.98);
}

.ct-chat-error {
	position: absolute;
	top: 100%;
	margin-top: -10px;
	left: 106px;
	z-index: 21;
	display: block;
	padding: 16px;
	border-radius: 8px;
	box-shadow: 0 0 8px 0 rgba(157, 157, 157, 0.2);
	background-color: #fff;
	font-size: 12px;
	line-height: 1.33;
	color: #121217;

	&:empty {
		display: none;
	}
}

.ct-chat__footer:has(.ct-chat-error:not(:empty)) .ct-chat-input {
	border: solid 1px #ff453a;
}

@media screen and (max-width: 900px) {
	.ct-chat__footer {
		padding: 16px;
	}

	.ct-chat-error {
		left: 16px;
		right: 60px;
	}
}
/* ~ Разметка футера чата */


.ct-decor {
	position: absolute;
	background-repeat: no-repeat;
	background-size: contain;
	pointer-events: none;
}

.ct-decor--star {
	width: 322px;
	height: 256px;
	background-image: url(/case-trainer/changellenge/images/decor-star.png);
	background-size: contain;
	left: -145px;
	top: -87px;
	z-index: 5;
}

.ct-decor--cursor {
	width: 341px;
	height: 280px;
	background-image: url(/case-trainer/changellenge/images/decor-cursor.png);
	background-size: contain;
	right: -166px;
	bottom: -229px;
	z-index: 20;
}
.ct-faq {
	position: relative;
	padding: 64px 0 89px;
	background-color: #ffffff;
	z-index: 1;
	overflow-x: clip;
	overflow-y: visible;
}

.ct-faq__title {
	font-size: 34px;
	font-weight: 500;
	line-height: 1.2;
	text-align: center;
	color: #121217;
	margin-bottom: 32px;
}

.ct-faq__list {
	max-width: 1136px;
	margin: 0 auto;
	display: flex;
	flex-direction: column;
	gap: 16px;
	position: relative;
	z-index: 2;
}

.ct-accordion {
	background-color: #F5F5F7;
	border-radius: 16px;
	overflow: hidden;
	transition: background-color 0.3s ease;
}

.ct-accordion__header {
	width: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
	background: none;
	border: none;
	cursor: pointer;
	text-align: left;
	outline: none;
	transition: padding 0.3s ease;
	padding: 24px;
}

.ct-accordion__header:not(.collapsed) {
	padding: 24px 24px 16px 24px;
}

.ct-accordion__question {
	font-size: 20px;
	font-weight: 500;
	line-height: 24px;
	color: #121217;
}

.ct-accordion__icon {
	width: 24px;
	height: 24px;
	flex-shrink: 0;
	margin-left: -23px;
	transition: transform 0.3s ease;
	display: block;
}

.ct-accordion__header:not(.collapsed) .ct-accordion__icon {
	transform: rotate(45deg);
}

.ct-accordion__content {
	padding: 0 24px 24px 24px;
}

.ct-accordion__text {
	font-weight: 400;
	font-size: 16px;
	line-height: 21px;
	color: #121217;
	margin: 0;
}

.ct-faq__magnifier {
	position: absolute;
	width: 501px;
	height: 547px;
	left: calc(50% - 902px);
	top: 452px;
	background-image: url(/case-trainer/changellenge/images/decor-magnifier.png);
	background-repeat: no-repeat;
	background-size: contain;
	pointer-events: none;
	z-index: -1;
}

footer, .footer, .main-container--footer {
	position: relative;
	z-index: 10;
}


/* + Стили чата открытого на весь экран */
body:has([data-ct-chat="expanded"]) {
	.ct-chat-placeholder {
		position: fixed;
		top: 0;
		left: 0;
		width: 100vw;
		height: 100vh;
		z-index: 9999;
		overflow: auto;
		background: white;
		max-width: unset;
	}

	& #bx-panel,
	& .ct-hero,
	& .ct-faq,
	& .desktop-menu-container,
	& .main-container.main-container--footer,
	& .mobile-menu__container,
	& .ct-decor {
		display: none!important;
	}

	& .ct-demo {
		background: none;
	}

	& .ct-chat-error {
		position: unset;
		margin-top: unset;
		width: 100%;
		flex-grow: 1;
		display: block;
		padding: 4px;
		box-shadow: unset;
		color: #ff453a;

		&:empty {
			display: none;
		}
	}
}
/* ~ Стили чата открытого на весь экран */

@media (max-width: 1280px) {
	.ct-hero {
		padding-bottom: 61px;
	}
	.ct-hero__inner {
		flex-direction: column;
		align-items: flex-start;
		gap: 24px;
	}
	.ct-hero__content {
		width: 100%;
	}
	.ct-hero__btn {
		display: block;
		margin: 0 auto;
		width: max-content;
	}
	.ct-hero__visual {
		flex: 0 0 auto;
		width: 100%;
		max-width: 626px;
		height: auto;
		aspect-ratio: 626 / 585;
		margin: 0 auto;
		padding: 5%;
		border-radius: 32px;
	}
	.ct-hero__video {
		max-width: 100%;
	}
	.ct-hero__title br,
	.ct-hero__description br {
		display: none;
	}
	.ct-chat-placeholder {
		width: 100%;
		max-width: 100%;
		height: 600px;
	}
	.ct-decor--star {
		width: 160px;
		height: auto;
		left: -40px;
		top: -60px;
	}
	.ct-decor--cursor {
		width: 120px;
		height: auto;
		right: -20px;
		bottom: -60px;
	}
	.ct-faq__magnifier {
		width: 300px;
		height: auto;
		left: -100px;
		top: 100px;
	}
}

/* мобильный адаптив */
@media (max-width: 480px) {

	.ct-hero {
		padding-top: 0;
	}

	.hero-vacancy__logo {
		margin-bottom: 39px;
		display: block;
		margin-top: 17px;
	}

	.ct-container {
		padding: 0 16px;
	}
	.ct-hero__title {
		font-weight: 800;
		font-size: 22px;
		line-height: 26px;
		display: inline-block;
		margin-bottom: 8px;
	}
	.ct-hero__title br {
		display: block;
	}
	.ct-hero__subtitle {
		font-size: 16px;
		margin-bottom: 24px;
		line-height: 21px;
	}
	.ct-hero__description {
		display: block;
		font-size: 16px;
		line-height: 21px;
		margin-bottom: 14px;
		font-weight: 400;
	}
	.ct-hero__description br {
		display: block;
	}
	.ct-btn {
		padding: 16px 76.5px;
	}
	.ct-hero__visual {
		width: 100%;
		max-width: 361px;
		height: 340px;
		padding: 20px;
		margin: 0 auto;
		border-radius: 21px;
	}
	.ct-hero__video {
		border-radius: 16px;
	}
	.ct-demo {
		padding: 24px 0;
	}

	.ct-chat-placeholder {
		position: relative;
		z-index: 10;
		height: 740px;
		background: #FFFFFF;
	}

	.ct-decor--star {
		width: 78.24px;
		height: 69.17px;
		z-index: 1;
		left: -17px;
		top: -24px;
		display: block;
		position: absolute;
	}

	.ct-decor--cursor {
		display: block;
		width: 109px;
		height: 117px;
		right: -18px;
		bottom: -89px;
		transform: rotate(1deg);
		z-index: 25;
		background-size: contain;
		position: absolute;
	}

	.ct-demo {
		overflow: visible;
	}

	.ct-faq__title {
		font-size: 20px;
		margin-bottom: 24px;
	}

	.ct-accordion__header {
		font-size: 14px;
		line-height: 22px;
		padding: 15px 16px;
	}

	.ct-accordion__question {
		font-size: 14px;
		line-height: 22px;
		max-width: 296px;
	}

	.ct-accordion__header:not(.collapsed) {
		padding: 16px 16px 8px 16px;
	}

	.ct-accordion__text {
		font-size: 12px;
		line-height: 16px;
	}

	.ct-accordion__content {
		padding: 0 16px 16px 16px;
	}

	.ct-faq__list {
		gap: 8px;
		max-width: 361px;
	}
}

.ct-hero__video::-webkit-media-controls {
	display: none !important;
}

.ct-hero__video::-webkit-media-controls-start-playback-button {
	display: none !important;
	-webkit-appearance: none;
}

.ct-hero__video {
	pointer-events: none;
	outline: none;
}

video::-webkit-media-controls-panel {
	display: none !important;
	-webkit-appearance: none;
}
video::-webkit-media-controls-play-button {
	display: none !important;
	-webkit-appearance: none;
}